summary refs log tree commit diff
path: root/home
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-08-23 16:08:30 -0400
committerJune McEnroe <june@causal.agency>2020-08-23 16:08:42 -0400
commit2aca5fb2177c9d004504c2578943011bf05de0d2 (patch)
treee23aacc8daf9184a4cf7acf6774e2b84c6f233b3 /home
parentUpdate htop config serialization (diff)
downloadsrc-2aca5fb2177c9d004504c2578943011bf05de0d2.tar.gz
src-2aca5fb2177c9d004504c2578943011bf05de0d2.zip
Add versions script
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/versions9
1 files changed, 9 insertions, 0 deletions
diff --git a/home/.local/bin/versions b/home/.local/bin/versions
new file mode 100755
index 00000000..25e5ff72
--- /dev/null
+++ b/home/.local/bin/versions
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -u
+
+for repo in ~/src/git/*; do
+	version=$(git -C "${repo}" describe --dirty 2>/dev/null)
+	if [ $? -eq 0 ]; then
+		echo "${repo##*/}-${version#v}"
+	fi
+done | sort -nr -t '-' -k 3 | column -t -s '-'
e3b5f7522871105499a2b7db090d326873ea&follow=1'>Add Tag class to hiJune McEnroe 2019-02-17Generate HTML with hi -n -f html -o anchorJune McEnroe 2019-02-17Add hi -f html -o anchor for line number linksJune McEnroe 2019-02-17Simplify temp trap in upJune McEnroe 2019-02-17Add line numbers to hiJune McEnroe 2019-02-17Always split spans after newlinesJune McEnroe 2019-02-15Color format specifiers light cyan in vimJune McEnroe 2019-02-15Highlight Interp as yellowJune McEnroe 2019-02-15Highlight strings in sh command substitutionsJune McEnroe 2019-02-15Add nmap gpJune McEnroe 2019-02-14Avoid newline when copying URL to pasteboardJune McEnroe 2019-02-13Add forgotten "sixth" book of H2G2June McEnroe